#include <owl\owlpch.h>
#pragma hdrstop

#include "syscolor.h"

TColor cMarkerLight = DkRed;
TColor cWireLocusSelect = TColor(128, 128, 0);
TColor cWireBezierSelect = DkRed;
TColor cWireCameraSelect = TColor(128, 128, 0);

void InitSysColor(TDC& dc)
{
	if ((dc.GetDeviceCaps(RASTERCAPS) & RC_PALETTE) == 0) {
		cWireLocusSelect = TColor(cBG.Red() ^ DkRed.Red(), cBG.Green() ^ DkRed.Green(), cBG.Blue() ^ DkRed.Blue());
		cWireBezierSelect = cWireLocusSelect;
		cWireCameraSelect = TColor(132, 132, 127);
		cMarkerLight = cWireCameraSelect;
	}
}
